bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

fix for configure.in


From: Dave Love
Subject: fix for configure.in
Date: 10 Apr 2003 14:18:44 +0100
User-agent: Gnus/5.09 (Gnus v5.9.0) Emacs/21.2

I understand there's going to be a bug-fix version of 21.3.  This
fixes the check for libjpeg under Irix with the proprietary cc, for
instance.  Sorry I didn't spot it before, and I guess Irix isn't
getting other useful testing.

(The CVS head code is OK since I re-wrote that bit for autoconf 2.5x.)

2003-04-09  Dave Love  <address@hidden>

        * configure.in: Fix test of jpeglib.h to avoid leading space.

cd /net/pxfs5/home/fx/packages/emacs-21.3/
diff -c /net/pxfs5/home/fx/packages/emacs-21.3/configure.in\~ 
/net/pxfs5/home/fx/packages/emacs-21.3/configure.in
*** /net/pxfs5/home/fx/packages/emacs-21.3/configure.in~        Sun Mar 16 
22:06:05 2003
--- /net/pxfs5/home/fx/packages/emacs-21.3/configure.in Wed Apr  9 15:32:49 2003
***************
*** 1879,1889 ****
    if test "${HAVE_JPEG}" = "yes"; then
      AC_DEFINE(HAVE_JPEG)
      AC_EGREP_CPP(
! changequote({, })dnl avoid leadingspace on the next line
  {version= *(6[2-9]|[7-9][0-9])},
  changequote([, ])dnl
!         [#include <jpeglib.h>
!        version=JPEG_LIB_VERSION
  ],    
          AC_DEFINE(HAVE_JPEG),
          [AC_MSG_WARN([libjpeg found, but not version 6b or later])
--- 1879,1889 ----
    if test "${HAVE_JPEG}" = "yes"; then
      AC_DEFINE(HAVE_JPEG)
      AC_EGREP_CPP(
! changequote({, })dnl avoid leading space on the next line
  {version= *(6[2-9]|[7-9][0-9])},
  changequote([, ])dnl
! [#include <jpeglib.h>
! version=JPEG_LIB_VERSION
  ],    
          AC_DEFINE(HAVE_JPEG),
          [AC_MSG_WARN([libjpeg found, but not version 6b or later])

Diff finished at Wed Apr  9 15:33:30




reply via email to

[Prev in Thread] Current Thread [Next in Thread]